﻿using System.Collections.Generic;
using UnivateProperties_API.Containers.Property;
using UnivateProperties_API.Containers.Timeshare;
using UnivateProperties_API.Model.Logging;

namespace UnivateProperties_API.Repository.Logging
{
    public interface ISearchLogRepository: IRepository<SearchLog>
    {
        List<TimeshareSearchDisplay> GetTimeshareSearches();
        List<PropertySearchDispaly> GetPropertySearches();
        void SaveTimeshareSearch(TimeshareSearch item);
    }
}
